Name:           rpmlint
Version:        0.70
Release:        1
Epoch:          0
Summary:        Tool for checking common errors in RPM packages

Group:          Development/Tools
License:        GPL
URL:            http://people.mandriva.com/~flepied/projects/rpmlint/
Source0:        http://people.mandriva.com/~flepied/projects/rpmlint/dist/%{name}-%{version}.tar.bz2
Source1:        %{name}-fedora-config
Patch0:         %{name}-svcdefault.patch
Patch1:         %{name}-confmsg.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python >= 1.5.2
BuildRequires:  rpm-python
BuildRequires:  sed >= 3.95
Requires:       rpm-python
Requires:       python >= 1.5.2
Requires:       cpio

%description
rpmlint is a tool for checking common errors in RPM packages.  Binary
and source packages can be checked.


%prep
%setup -q
%patch0
%patch1
sed -i -e 's|/etc/httpd/webapps\.d|%{_sysconfdir}/httpd/conf.d|' \
  FilesCheck.py I18NCheck.py
for f in AUTHORS ChangeLog ; do
  iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f
done


%build
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -Dpm 644 rpmlint.bash-completion \
  $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/rpmlint
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rpmlint/config

# Take care of files that may be generated later.
touch $RPM_BUILD_ROOT%{_sysconfdir}/rpmlint/config{c,o}
echo '%ghost %{_sysconfdir}/rpmlint/config?' > %{name}-%{version}-files.list
for f in `find $RPM_BUILD_ROOT%{_datadir}/rpmlint -type f -name "*.py"` ; do
  f=`echo "$f" | sed "s|^$RPM_BUILD_ROOT||"`
  echo "$f" >> %{name}-%{version}-files.list
  for t in c o ; do
    pref=
    if [ ! -e "$RPM_BUILD_ROOT$f$t" ] ; then
      touch "$RPM_BUILD_ROOT$f$t"
      pref='%ghost '
    fi
    echo "$pref$f$t" >> %{name}-%{version}-files.list
  done
done


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}-%{version}-files.list
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/rpm*
%dir %{_datadir}/rpmlint/
%exclude %{_datadir}/rpmlint/check-install.py*
%dir %{_sysconfdir}/rpmlint/
%config(noreplace) %{_sysconfdir}/rpmlint/config
%{_sysconfdir}/bash_completion.d/


%changelog
* Mon Jun 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.70-1
- 0.70, use sed instead of perl during build.
- Default configuration improvements: allow Development/Debug group (for
  debuginfo packages), filter out errors/warnings about non-indexed jars,
  invalid LC_MESSAGES and man page dirs, and library packages containing
  something else in addition to libraries.
- Make info about non-config files in /etc more accurate.
- Patch to warn about services that default to enabled after "chkconfig add",
  not the other way around.

* Thu May 26 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.69-1.1
- Filter out more not-that-useful messages in the default config.

* Sat Apr 16 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.69-1
- 0.69.
- Simplify bash-completion snippet installation, remove triggers.
- Default configuration improvements: filter messages about missing packager,
  Mandriva specific package naming conventions, %%ghost files without
  %%post scriptlets, and 0664 source permissions.
- Exclude check-install.py, it doesn't currently work with rpm >= 4.2.
- Convert docs to UTF-8.
- Improve summary.

* Sun Mar 13 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.68-1
- 0.68, siteperl patch applied upstream.
- Fix "no-dependency-on" filtering in default config.
- Add LaTeX Project Public License to default config.
- Remove upstream-only %%changelog entries.

* Sun Feb 13 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.67-1
- 0.67.
- Patch to catch more site_perl directories.
- Default config improvements: filter Distribution and Vendor warnings,
  use empty string instead of None for release extension (fixes -i).

* Sat Jan 29 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.65-1
- Update to 0.65.

* Sat Jan  1 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.64-1
- Update to 0.64.
- Default config tweaks: don't mandate Epochs nor "fdr" in Release.

* Tue Oct 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.61-0.fdr.2
- Requires cpio (bug 2169).

* Sun Oct  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.61-0.fdr.1
- Update to 0.61.

* Mon Aug 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.60-0.fdr.1
- Update to 0.60.

* Mon May  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.59-0.fdr.1
- Update to 0.59.

* Sun Feb 22 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.57.1-0.fdr.1
- Update to 0.57.1.

* Wed Feb 11 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.56-0.fdr.1
- Update to 0.56.

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.55-0.fdr.3
- Correctly %%ghost %%{_sysconfdir}/rpmlint/config? (bug 1251).

* Sun Feb  1 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.55-0.fdr.2
- Add back %%ghost handling of not-installed compiled versions of *.py.

* Fri Jan 30 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.55-0.fdr.1
- Update to 0.55.
- Spec cleanups.

* Tue Dec 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.53-0.fdr.1
- Update to 0.53.

* Thu Oct  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.52-0.fdr.2
- Add list of valid shells for post'n'friends scriptlets into default config.

* Sat Sep 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.52-0.fdr.1
- Update to 0.52.

* Thu Sep  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.51.1-0.fdr.4
- Filter more Mdk-specific warnings in default config.

* Wed Sep  3 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.51.1-0.fdr.3
- Upstream tarball reappeared, use it.

* Sun Aug 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.51.1-0.fdr.2
- Filter Mdk-specific python-related stuff in the default config.

* Fri Aug 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.51.1-0.fdr.1
- Update to 0.51.1.
- Own %%ghost'ed *.py{c,o}, and ditto for the config file.
- Add list of valid licenses to default config.
- Set "Fedora Linux" as suggested distribution in default config.
- Clean up %%doc list.

* Fri May  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.50-0.fdr.1
- Update to 0.50, all patches now applied upstream.

* Mon May  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.49-0.fdr.2
- %%{buildroot} -> $RPM_BUILD_ROOT.
- Filter out mdk-specific "no-dependancy perl-base" messages in config.

* Thu May  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.49-0.fdr.1
- Update to 0.49.

* Sun Apr 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.49-0.fdr.0.1.cvs20030420
- Add one more strict Epoch checking patch.
- Slightly enhanced default config.

* Fri Apr 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.49-0.fdr.0.1.cvs20030411
- Patch to work with installed packages (including -a) and rpm 4.2.
- Remove spurious rpm-devel BuildRequirement.

* Tue Apr  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.49-0.fdr.0.1.cvs20030408
- Patch to work with packages signed with an unknown key.
- Save .spec in UTF-8.

* Sun Mar 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.49-0.fdr.0.1.cvs20030330
- First Fedora release, based on upstream spec.
